← OBPv7.0.0 Get Active Rate Limits for Hour GET /obp/v7.0.0/management/consumers/CONSUMER_ID/active-rate-limits/DATE_WITH_HOUR OBPv6.0.0-getActiveRateLimitsAtDate Roles: CanGetRateLimits Consumer Get the active rate limits for a consumer for a specific hour. Returns the aggregated rate limits from all active records during that hour. A value of 0 means the consumer is blocked for that period, -1 means unlimited, and a consumer with no records shows the system defaults. Rate limits are cached and queried at hour-level granularity. See here for more details on how rate limiting works. Date format: YYYY-MM-DD-HH in UTC timezone (e.g. 2025-12-31-13 for hour 13:00-13:59 UTC on Dec 31, 2025) Note: The hour is always interpreted in UTC for consistency across all servers. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh DATE_WITH_HOUR: DATE_WITH_HOUR JSON response body fields (8) active_at_date active_at_dateactive_per_day_rate_limit active_per_day_rate_limitactive_per_hour_rate_limit active_per_hour_rate_limitactive_per_minute_rate_limit active_per_minute_rate_limitactive_per_month_rate_limit active_per_month_rate_limitactive_per_second_rate_limit active_per_second_rate_limitactive_per_week_rate_limit active_per_week_rate_limitconsidered_rate_limit_ids considered_rate_limit_ids Example success response { "considered_rate_limit_ids": [ "80e1e0b2-d8bf-4f85-a579-e69ef36e3305" ], "active_at_date": "1100-01-01T00:00:00Z", "active_per_second_rate_limit": 100, "active_per_minute_rate_limit": 1000, "active_per_hour_rate_limit": -1, "active_per_day_rate_limit": -1, "active_per_week_rate_limit": -1, "active_per_month_rate_limit": -1 } Possible errors (6) OBP-20001: User not logged in. Authentication is required!OBP-20014: Invalid Consumer ID. Please specify a valid value for CONSUMER_ID.OBP-30019: Consumer not found. Please specify a valid value for CONSUMER_ID.OBP-20006: User is missing one or more roles: OBP-10005: Invalid Date Format. Could not convert value to a Date.OBP-50000: Unknown Error.